Subject: Re: bug#8427: [SECURITY] sql.el -- comint process passwords are leaked to ps(1) listing

From: Michael Mauger <[email-masked]>
Date: Wed, 18 Dec 2019 17:52:44 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Wednesday, December 18, 2019 11:57 AM, Eli Zaretskii <[email-masked]> wrote:

> On Wed, 18 Dec 2019 12:45:27 +0000, Michael Mauger wrote:
> > Below is my first
> > take on the changes to comint.el needed to add a hook that we
> > could use in sql.el to supply the password. I think we ought
> > to run this by emacs-devel and Eli before merging it.
>
> I'm okay with adding this hook, but please mention this hook and its
> rationale in NEWS.
>
> Please also feel free to ask on emacs-devel for comments, if you want.
>
> Thanks.

I'll put together the patch for comint.el and NEWS and commit it.

Andrew, you can then simplify your sql.el patches appropriately along
with corresponding NEWS entry and we can review before you commit. Thanks!

--
[email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer</[email-masked]>